Copyright: Copyright (c) 1990-1998 ESRI, Inc.


Error message displayed when a topic is not found
Topic not available

Sorry, the topic you chose to display is not available in ArcView's help system.

To see ArcView's Help Contents, Index, and Find tabs, please click the Help Topics button.


VpfName

 The VpfName class provides information about pathnames which reference VPF Data Base coverages.

Class requests on VpfName allow the user to get the list of SrcNames contained within a Vpf coverage directory specified by a pathname string and to return the SrcName of a Vpf Feature Attribute Table.

 aVpfPathString = "$VPFDCW/dcw/noamer/cl"
 aVpfFATString  = "$VPFDCW/dcw/noamer/cl/clline.lft"

 ls = VpfName.ReturnSrcNames ( aVpfPathString )
 for each sn in ls
    msgbox.info(sn.getsubname,sn.getname)
 end

 sn = VpfName.FATSrcName ( aVpfFATString )
 msgbox.info(sn.getsubname,sn.getname)

Inherits From

Obj

Required Extension

     VPF Viewer

Class Requests

Accessing VpfName

FATSrcName ( aVpfFeatureTable ) :  SrcName

ReturnSrcNames ( aVpfPathString ) :  List

__________

See also

SrcName
FileName


FATSrcName (VpfName)
FATSrcName

 Returns the SrcName of a Vpf Feature Table.

Syntax

VpfName.FATSrcName (aVpfFeatureTable)

Returns

SrcName


ReturnSrcNames (VpfName)
ReturnSrcNames

 Returns the list of SrcNames for the Vpf coverage whose pathname is in the string aVpfPathString. The list includes one SrcName object for each feature class, the FileName of SrcName specifies the feature table for the feature class.

Syntax

VpfName.ReturnSrcNames (aVpfPathString)

Returns

List